PHP 5.2.2 and 4.4.7 are now available

If you use PHP on your servers then it is definitely time to upgrade. The PHP Group released versions 5.5.2 and 4.4.7 on May 3, 2007, and as you might suspect they do contain fixes for various security problems.

You might recall the Month of PHP Bugs (you can read even more about it here), that exposed quite a number of significant issues, most (if not all) of which are addressed with the new versions of PHP.

If you need help securing your PHP environment then be sure to read Suhosin: A Guardian Angel for PHP, and More Help Securing PHP Installations. You might also want to read How to Write Secure PHP Code since even if you don't write code you learn a few tricks about how to at least check PHP for potential backdoors and other bad behavior.

Hide comments

Comments

  • Allowed HTML tags: <em> <strong> <blockquote> <br> <p>

Plain text

  • No HTML tags allowed.
  • Web page addresses and e-mail addresses turn into links automatically.
  • Lines and paragraphs break automatically.
Publish